Adobe Photoshop 22.x< 22.5.9/ 23.x< 23.5複数の脆弱性 (APSB22-52)

high Nessus プラグイン ID 164988

概要

リモートWindowsホストにインストールされているAdobe Photoshopは、複数の脆弱性による影響を受けます。

説明

リモートWindowsホストにインストールされているAdobe Photoshopのバージョンは、22.5.9/23.5より前です。したがって、apsb22-52 のアドバイザリに記載されている複数の脆弱性の影響を受けます。

- 任意のコード実行を引き起こす可能性がある領域外書き込み (CWE-787) (CVE-2022-35713)

- 初期化されていないポインター (CWE-824) へのアクセスにより、任意コード実行が発生する可能性 (CVE-2022-38426、CVE-2022-38427)

- メモリリークを引き起こす可能性があるメモリ解放後使用 (Use After Free) (CWE-416) (CVE-2022-38428)

- 領域外読み取り (CWE-125) によって任意のコードが実行される可能性があります (CVE-2022-38429、CVE-2022-38430、CVE-2022-38431)

- 任意のコード実行を引き起こす可能性があるヒープベースバッファオーバーフロー (CWE-122) (CVE-2022-38432、CVE-2022-38433)

- 任意のコード実行を引き起こす可能性があるメモリ解放後使用 (Use After Free) (CWE-416) (CVE-2022-38434)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

Adobe Photoshop バージョン22.5.9/23.5またはそれ以降にアップグレードしてください。

関連情報

https://helpx.adobe.com/security/products/photoshop/apsb22-52.html

プラグインの詳細

深刻度: High

ID: 164988

ファイル名: adobe_photoshop_apsb22-52.nasl

バージョン: 1.5

タイプ: local

エージェント: windows

ファミリー: Windows

公開日: 2022/9/13

更新日: 2022/12/5

サポートされているセンサー: Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: High

Base Score: 7.2

Temporal Score: 5.3

ベクトル: AV:L/AC:L/Au:N/C:C/I:C/A:C

現状ベクトル: E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2022-38434

CVSS v3

リスクファクター: High

Base Score: 7.8

Temporal Score: 6.8

ベクトル: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:/a:adobe:photoshop

必要な KB アイテム: installed_sw/Adobe Photoshop, SMB/Registry/Enumerated

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2022/9/13

脆弱性公開日: 2022/9/13

参照情報

CVE: CVE-2022-35713, CVE-2022-38426, CVE-2022-38427, CVE-2022-38428, CVE-2022-38429, CVE-2022-38430, CVE-2022-38431, CVE-2022-38432, CVE-2022-38433, CVE-2022-38434

IAVA: 2022-A-0365

CWE: 122, 125, 416, 787, 824